libqalculate-2.4.0: QalculateDateTime Class Reference

libqalculate-2.4.0

Public Member Functions | Public Attributes | Protected Attributes | List of all members
QalculateDateTime Class Reference

## Public Member Functions
| QalculateDateTime (long int initialyear, int initialmonth, int initialday)
| QalculateDateTime (const Number &initialtimestamp)
| QalculateDateTime (string date_string)
| QalculateDateTime (const QalculateDateTime &date)
bool | operator> (const QalculateDateTime &date2) const
bool | operator< (const QalculateDateTime &date2) const
bool | operator>= (const QalculateDateTime &date2) const
bool | operator<= (const QalculateDateTime &date2) const
bool | operator!= (const QalculateDateTime &date2) const
bool | operator== (const QalculateDateTime &date2) const
bool | isFutureDate () const
bool | isPastDate () const
void | setToCurrentDate ()
void | setToCurrentTime ()
bool | set (long int newyear, int newmonth, int newday)
bool | set (const Number &newtimestamp)
bool | set (string date_string)
void | set (const QalculateDateTime &date)
string | toISOString () const
string | toLocalString () const
string | print (const PrintOptions &po=default_print_options) const
long int | year () const
long int | month () const
long int | day () const
long int | hour () const
long int | minute () const
const Number & | second () const
void | setYear (long int newyear)
bool | setTime (long int ihour, long int imin, const Number &nsec)
bool | timeIsSet () const
bool | addDays (const Number &ndays)
bool | addMonths (const Number &nmonths)
bool | addYears (const Number &nyears)
bool | addHours (const Number &nhours)
bool | addMinutes (const Number &nminutes, bool remove_leap_second=true, bool convert_to_utc=true)
bool | addSeconds (const Number &seconds, bool count_leap_seconds=true, bool convert_to_utc=true)
bool | add (const QalculateDateTime &date)
int | weekday () const
int | week (bool start_sunday=false) const
int | yearday () const
Number | timestamp (bool reverse_utc=false) const
Number | secondsTo (const QalculateDateTime &date, bool count_leap_seconds=true, bool convert_to_utc=true) const
Number | daysTo (const QalculateDateTime &date, int basis=1, bool date_func=true, bool remove_leap_seconds=true) const
Number | yearsTo (const QalculateDateTime &date, int basis=1, bool date_func=true, bool remove_leap_seconds=true) const

## Public Attributes
string | parsed_string

## Protected Attributes
long int | i_year
long int | i_month
long int | i_day
long int | i_hour
long int | i_min
Number | n_sec
bool | b_time

The documentation for this class was generated from the following file:

- libqalculate/QalculateDateTime.h